1. V3 - User Address
Cresium
  • Cresium - V3 Partners
    • API
      • Auth Information for V3 API Partners
      • V3 - Health
        • Health check
      • V3 - Transaction
        • Get Transaction data
        • Search transactions
        • Make a transfer
        • Confirm a transaction
        • Reverse a deposit transaction
        • Get transaction receipt
      • V3 - BankAddress
        • Get Address
      • V3 - CompanyFeature
        • Get Company Features
        • Update Feature Enabled State
      • V3 - Rate
        • Get TNA rate
      • V3 - DepositAddress
        • Update Deposit Address
        • Create Deposit Address
      • V3 - Invoice
        • Create Invoices
        • Read Invoices
      • V3 - Partner
        • Search partner transactions
      • V3 - User Address
        • Create or get User Address
          POST
      • V3 - Auth
        • V3 - Balance
          • Get all wallets for Company
        • Generate change password ID for partner user
      • V3 - CompanyTax
        • Upsert Company Tax
      • V3 - Signature Request
        • Create Signature Request
        • Update Signature Request
      • V3 - Payment
        • Create Payments
        • Read Payments
      • Webhooks
        • Auth Information for Webhooks
        • Transactions Events Examples - DEPOSIT
  1. V3 - User Address

Create or get User Address

POST
/v3/user-address/
Crea o obtiene un contacto (User Address) para la company.
Si ya existe un contacto con el mismo uuid (CUIT/CUIL) para la company, lo retorna sin modificarlo.
Si no existe, lo crea con los datos proporcionados.

Body Parameters#

CampoTipoRequeridoDescripcion
uuidstringSiIdentificador unico del contacto (CUIT/CUIL sin guiones)
namestringNoNombre o razon social del contacto
emailstringNoEmail del contacto
phonestringNoTelefono del contacto
tagsarrayNoEtiquetas: SUPPLIER, EMPLOYEE, etc.
displayNamestringNoNombre para mostrar (alias)

Respuesta#

Retorna el contacto con sus datos completos, incluyendo addresses asociadas.
{
  "id": 1,
  "name": "Proveedor SA",
  "uuid": "30123456789",
  "addresses": [...],
  "email": "contacto@proveedor.com",
  "phone": "+5491112345678"
}

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Successful response
Body

🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.develop.cresium.app/v3/user-address/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "addressId": 0,
    "uuid": "string",
    "email": "string",
    "phone": "string",
    "phoneCountryCode": "AR",
    "name": "string",
    "tags": [
        "PROVIDER"
    ],
    "displayName": "string"
}'
Response Response Example
200 - Example 1
{
    "data": {
        "id": 0,
        "name": "string",
        "uuid": "string",
        "description": "string",
        "ranking": 0,
        "addresses": [
            {
                "id": 0,
                "type": "CVU",
                "value": "string",
                "bankName": "string",
                "ownerName": "string",
                "img": "string",
                "uuid": "string",
                "displayName": "string"
            }
        ],
        "email": "string",
        "phone": "string",
        "defaultAddressId": 0,
        "defaultAddress": {
            "id": 0,
            "type": "CVU",
            "value": "string",
            "bankName": "string",
            "ownerName": "string",
            "img": "string",
            "uuid": "string",
            "displayName": "string"
        },
        "companyIntegration": {
            "id": 0,
            "companyId": 0,
            "key": "KONVEX",
            "enabled": true,
            "url": "string",
            "metadata": null,
            "img": "string",
            "name": "string",
            "lastSync": "string"
        },
        "tags": [
            "PROVIDER"
        ],
        "displayName": "string"
    }
}
Modified at 2026-03-16 21:37:55
Previous
Search partner transactions
Next
V3 - Balance
Built with